Subject: Re: [PATCH net] vxlan: use nla_put_flag for ttl inherit

From: Hangbin Liu <[email-masked]>
Date: Sat, 29 Sep 2018 17:01:03 +0800

On Fri, Sep 28, 2018 at 11:56:10AM -0600, David Ahern wrote:
> On 9/28/18 6:38 AM, Hangbin Liu wrote:
> > On Fri, Sep 28, 2018 at 12:37:00PM +0200, Phil Sutter wrote:
> >> On Fri, Sep 28, 2018 at 09:08:26AM +0800, Hangbin Liu wrote:
> >>> Phil pointed out that there is a mismatch between vxlan and geneve ttl inherit.
> >>> We should define it as a flag and use nla_put_flag to export this opiton.
> >>
> >> s/opiton/option/
> >>
> >> Apart from that, LGTM!
> >>
> >> Thanks, Phil
> > 
> > Opps, sorry...
> > 
> > Hi David,
> > 
> > Should I re-send a patch or will you help fix it directly?
> > 
> > Thanks
> > Hangbin
> > 
> 
> you have this targeted at net; is it a bug in current iproute2 or an
> update to a new feature in -next?

Hi David Ahern,

This patch targets to kernel net tree. The previous question is for
"David Miller". Sorry for the confusing. Anyway, I will send a v2 patch
for this one as I need to change the commit message.

Thanks
Hangbin